%define upstream_name    Test-Fatal
%define upstream_version 0.010

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Incredibly simple helpers for testing code with exceptions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Try::Tiny) >= 0.70.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Test::Fatal is an alternative to the popular the Test::Exception manpage.
It does much less, but should allow greater flexibility in testing
exception-throwing code with about the same amount of typing.

It exports one routine by default: 'exception'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Thu Feb 23 2012 jquelin <jquelin> 0.10.0-1.mga2
+ Revision: 213193
- update to 0.010

* Mon Nov 07 2011 kharec <kharec> 0.8.0-1.mga2
+ Revision: 164754
- update to 0.008

* Wed Jun 15 2011 jquelin <jquelin> 0.6.0-1.mga2
+ Revision: 107462
- update to 0.006

* Wed Jan 19 2011 jquelin <jquelin> 0.3.0-1.mga1
+ Revision: 24474
- fix specs
- imported package perl-Test-Fatal


* Sat Nov 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.0-1mdv2011.0
+ Revision: 594247
- import perl-Test-Fatal

